Shuffle button shuffles the numbers too.
Closed, ResolvedPublic

Description

The shuffle button shuffles the numbers in the quiz. I think maybe the numbers shouldn't stay in the same place after shuffle.

Mvolz created this task.Jul 17 2017, 10:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 10:08 AM
Mvolz triaged this task as Low priority.Jul 17 2017, 10:08 AM
Mvolz raised the priority of this task from Low to Normal.
Mvolz added a comment.Jul 20 2017, 9:21 AM

This is potentially fixable by having the enumeration be the result of <ol><li> tags as mentioned in T170852.

Change 368993 had a related patch set uploaded (by Harjotsingh; owner: Harjotsingh):
[mediawiki/extensions/Quiz@master] Reassign numbering to shuffled questions

https://gerrit.wikimedia.org/r/368993

I've added shuffleNumbering function inside ext.quiz.js that reassigns the numbering of questions for the quiz.

Change 368993 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Reassign numbering to shuffled questions

https://gerrit.wikimedia.org/r/368993

Mvolz moved this task from Backlog to Bugs on the MediaWiki-extensions-Quiz board.Aug 6 2017, 4:34 PM
Mvolz closed this task as Resolved.Aug 14 2017, 10:22 AM
Mvolz removed a project: Patch-For-Review.